RHEL7.7: version incompatibility between python3 and python3-devel

First off, I’m not too familiar with the RedHat/rpm distro system, being more the Debian type in private. After an update from RHEL7.4 to RHEL7.7 on a server that I find myself administrating at work, I get this message: Error: Package: python36-devel-3.6.8-2.el7.ius.x86_64 (@ius) Requires: python36-devel-3.6.8-2.el7.ius Removing: python36-3.6.8-2.el7.ius.x86_64 (@ius) python36 = 3.6.8-2.el7.ius Obsoleted By: python3-3.6.8-10.el7.x86_64 (rhel-7-server-rpms)…

Details

How to pass encoded parameters to call contract getter fuctions

I have an array (i.e. functionNames[]) of getter functions’s names of my contract and another array (i.e. finalGettersParams) of encoded parameters (which has been populated from web3.eth.abi.decodeParameters) of that getter functions. finalGettersParams = [ Result { __length__: 0 }, Result { ‘0’: ‘0x0000000000000000000000000000000000000000’, __length__: 1 }, Result { ‘0’: ‘0x0000000000000000000000000000000000000000’, ‘1’: ‘0x0000000000000000000000000000000000000000’, __length__: 2 }…

Details